/*

  MQ6 Gas Sensor (Digital)

  Parts required:
  - Arduino Board
  - MQ6 Gas Sensor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 15 Mar 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

int digitalInputPin = 2;                            // Initialize variable digitalInputPin as digital port 2
int digitalReadValue;                               // Initialize variable digitalReadValue

void setup() {
  pinMode(digitalInputPin,INPUT);                   // set digitalInputPin to INPUT
  Serial.begin(9600);                               // start Serial Monitor for communication
}

void loop() {

  digitalReadValue = digitalRead(digitalInputPin);  // read the digitalInputPin and store in sigitalReadValue

  if (digitalReadValue == LOW) {                    // if digitalReadValue == LOW do
    Serial.println("Gas Detected...");              // print text to Serial Monitor
  }
  delay(500);                                       // wait 500 ms
}
